FROM node:22-alpine AS base
WORKDIR /app
RUN corepack enable

FROM base AS build
COPY package*.json ./
RUN npm install
COPY . .
RUN npx nuxi generate

FROM nginx:latest
RUN rm /usr/share/nginx/html/*
COPY --from=build --chown=1000:1000 /app/.output/public /usr/share/nginx/html/
